package com.axiel7.anihyou.core.model.staff

import androidx.compose.runtime.Composable
import androidx.compose.ui.res.stringResource
import com.axiel7.anihyou.core.network.fragment.MediaStaff
import com.axiel7.anihyou.core.resources.R

@Composable
fun MediaStaff.roleLocalized() = when (role) {
    "A&R Producer" -> stringResource(R.string.staff_role_a_and_r_producer)
    "ADR Director" -> stringResource(R.string.staff_role_adr_director)
    "Accessory Design" -> stringResource(R.string.staff_role_accessory_design)
    "Action Animator" -> stringResource(R.string.staff_role_action_animator)
    "Action Director" -> stringResource(R.string.staff_role_action_director)
    "Action Animation Director" -> stringResource(R.string.staff_role_action_animation_director)
    "Action Animation Supervisor" -> stringResource(R.string.staff_role_action_animation_supervisor)
    "Advertising" -> stringResource(R.string.staff_role_advertising)
    "Advertising Producer" -> stringResource(R.string.staff_role_advertising_producer)
    "Animation Director" -> stringResource(R.string.staff_role_animation_director)
    "Animation Producer" -> stringResource(R.string.staff_role_animation_producer)
    "Animation Production Assistance" -> stringResource(R.string.staff_role_animation_production_assistance)
    "Animation Supervisor" -> stringResource(R.string.staff_role_animation_supervisor)
    "Animation" -> stringResource(R.string.staff_role_animation)
    "Art" -> stringResource(R.string.staff_role_art)
    "Art Board" -> stringResource(R.string.staff_role_art_board)
    "Art Composition" -> stringResource(R.string.staff_role_art_composition)
    "Art Design" -> stringResource(R.string.staff_role_art_design)
    "Art Director" -> stringResource(R.string.staff_role_art_director)
    "Assistance" -> stringResource(R.string.staff_role_assistance)
    "Assistant" -> stringResource(R.string.staff_role_assistant)
    "Assistant Animation Director" -> stringResource(R.string.staff_role_assistant_animation_director)
    "Assistant Art Director" -> stringResource(R.string.staff_role_assistant_art_director)
    "Assistant Chief Animation Director" -> stringResource(R.string.staff_role_assistant_chief_animation_director)
    "Assistant Chief Director" -> stringResource(R.string.staff_role_assistant_chief_director)
    "Assistant Director of Photography" -> stringResource(R.string.staff_role_assistant_director_of_photo)
    "Assistant Director" -> stringResource(R.string.staff_role_assistant_director)
    "Assistant Episode Director" -> stringResource(R.string.staff_role_assistant_episode_director)
    "Assistant Producer" -> stringResource(R.string.staff_role_assistant_producer)
    "Assistant Production Manager" -> stringResource(R.string.staff_role_assistant_production_manager)
    "Assistant Unit Director" -> stringResource(R.string.staff_role_assistant_unit_director)
    "Associate Producer" -> stringResource(R.string.staff_role_associate_producer)
    "Background Art" -> stringResource(R.string.staff_role_background_art)
    "Background Art Assistance" -> stringResource(R.string.staff_role_background_art_assistance)
    "Background Manager" -> stringResource(R.string.staff_role_background_manager)
    "Background Production" -> stringResource(R.string.staff_role_background_production)
    "3DCG" -> stringResource(R.string.staff_role_3dcg)
    "3D Art" -> stringResource(R.string.staff_role_3d_art)
    "3D Works" -> stringResource(R.string.staff_role_3d_works)
    "CG Animation Director" -> stringResource(R.string.staff_role_cg_animation_director)
    "CG Animation" -> stringResource(R.string.staff_role_cg_animation)
    "CG Assistant Director" -> stringResource(R.string.staff_role_cg_assistant_director)
    "CG Background Modeling" -> stringResource(R.string.staff_role_cg_background_modeling)
    "CG Director" -> stringResource(R.string.staff_role_cg_director)
    "CG Layout" -> stringResource(R.string.staff_role_cg_layout)
    "CG Modeling Director" -> stringResource(R.string.staff_role_cg_modeling_director)
    "CG Modeling" -> stringResource(R.string.staff_role_cg_modeling)
    "CG Producer" -> stringResource(R.string.staff_role_cg_producer)
    "CG Production" -> stringResource(R.string.staff_role_cg_production)
    "CG Supervisor" -> stringResource(R.string.staff_role_cg_supervisor)
    "CG Technical Director" -> stringResource(R.string.staff_role_cg_technical_director)
    "Character Design" -> stringResource(R.string.staff_role_character_design)
    "Chief Animation Director" -> stringResource(R.string.staff_role_chief_animation_director)
    "Chief Director" -> stringResource(R.string.staff_role_chief_director)
    "Chief Episode Director" -> stringResource(R.string.staff_role_chief_episode_director)
    "Chief Mechanical Animation Director" -> stringResource(R.string.staff_role_chief_mechanical_animation_director)
    "Chief Producer" -> stringResource(R.string.staff_role_chief_producer)
    "Chief Production Desk" -> stringResource(R.string.staff_role_chief_production_desk)
    "Chief Supervisor" -> stringResource(R.string.staff_role_chief_supervisor)
    "Chief Unit Director" -> stringResource(R.string.staff_role_chief_unit_director)
    "Co-Producer" -> stringResource(R.string.staff_role_co_producer)
    "Color Coordination" -> stringResource(R.string.staff_role_color_coordination)
    "Color Design Assistance" -> stringResource(R.string.staff_role_color_design_assistance)
    "Color Design" -> stringResource(R.string.staff_role_color_design)
    "Coloring" -> stringResource(R.string.staff_role_coloring)
    "Concept Art" -> stringResource(R.string.staff_role_concept_art)
    "Costume Design" -> stringResource(R.string.staff_role_costume_design)
    "Cover Illustration" -> stringResource(R.string.staff_role_cover_illustration)
    "Creature Design" -> stringResource(R.string.staff_role_creature_design)
    "Design Assistance" -> stringResource(R.string.staff_role_design_assistance)
    "Design Works" -> stringResource(R.string.staff_role_design_works)
    "2D Design" -> stringResource(R.string.staff_role_2d_design)
    "2D Works" -> stringResource(R.string.staff_role_2d_works)
    "Digital Animation" -> stringResource(R.string.staff_role_digital_animation)
    "Digital Art" -> stringResource(R.string.staff_role_digital_art)
    "Digital Coloring" -> stringResource(R.string.staff_role_digital_coloring)
    "Digital Optical Recording" -> stringResource(R.string.staff_role_digital_optical_recording)
    "Digital Paint" -> stringResource(R.string.staff_role_digital_paint)
    "Digital Photography" -> stringResource(R.string.staff_role_digital_photography)
    "Digital Production Assistant" -> stringResource(R.string.staff_role_digital_production_assistant)
    "Director of Photography" -> stringResource(R.string.staff_role_director_of_photography)
    "Director" -> stringResource(R.string.staff_role_director)
    "Editing Assistant" -> stringResource(R.string.staff_role_editing_assistant)
    "Editing Manager" -> stringResource(R.string.staff_role_editing_manager)
    "Editing" -> stringResource(R.string.staff_role_editing)
    "Effects" -> stringResource(R.string.staff_role_effects)
    "2D Effects" -> stringResource(R.string.staff_role_2d_effects)
    "Effects Animation Director" -> stringResource(R.string.staff_role_effects_animation_director)
    "Endcard" -> stringResource(R.string.staff_role_endcard)
    "Episode Director" -> stringResource(R.string.staff_role_episode_director)
    "Episode Director (OP)" -> stringResource(R.string.staff_role_episode_director_op)
    "Episode Director (ED)" -> stringResource(R.string.staff_role_episode_director_ed)
    "Executive Producer" -> stringResource(R.string.staff_role_executive_producer)
    "Executive Supervisor" -> stringResource(R.string.staff_role_executive_supervisor)
    "Eyecatch" -> stringResource(R.string.staff_role_eyecatch)
    "Finishing Assistance" -> stringResource(R.string.staff_role_finishing_assistance)
    "Finishing Check" -> stringResource(R.string.staff_role_finishing_check)
    "Finishing Manager" -> stringResource(R.string.staff_role_finishing_manager)
    "Finishing Production" -> stringResource(R.string.staff_role_finishing_production)
    "Finishing" -> stringResource(R.string.staff_role_finishing)
    "Illustration" -> stringResource(R.string.staff_role_illustration)
    "HD Editing" -> stringResource(R.string.staff_role_hd_editing)
    "In-Between Animation Assistance" -> stringResource(R.string.staff_role_in_between_animation_assistance)
    "In-Between Animation" -> stringResource(R.string.staff_role_in_between_animation)
    "In-Betweens Check" -> stringResource(R.string.staff_role_in_betweens_check)
    "In-Betweens Manager" -> stringResource(R.string.staff_role_in_betweens_manager)
    "Insert Song Performance" -> stringResource(R.string.staff_role_insert_song_performance)
    "Insert Song Lyrics" -> stringResource(R.string.staff_role_insert_song_lyrics)
    "Insert Song Composition" -> stringResource(R.string.staff_role_insert_song_composition)
    "Insert Song Arrangement" -> stringResource(R.string.staff_role_insert_song_arrangement)
    "Key Animation" -> stringResource(R.string.staff_role_key_animation)
    "1st Key Animation Director" -> stringResource(R.string.staff_role_1st_key_animation)
    "1st Key Assistant Animation Director" -> stringResource(R.string.staff_role_1st_key_assistant)
    "2nd Key Animation" -> stringResource(R.string.staff_role_2nd_key_animation)
    "Key Animation Assistance" -> stringResource(R.string.staff_role_key_animation_assistance)
    "Key Animation (OP)" -> stringResource(R.string.staff_role_key_animation_op)
    "Layout Animation Director" -> stringResource(R.string.staff_role_layout_animation_director)
    "Layout Animation Supervisor" -> stringResource(R.string.staff_role_layout_animation_supervisor)
    "Layout Editor" -> stringResource(R.string.staff_role_layout_editor)
    "Layout Supervisor" -> stringResource(R.string.staff_role_layout_supervisor)
    "Layout" -> stringResource(R.string.staff_role_layout)
    "Lettering" -> stringResource(R.string.staff_role_lettering)
    "Line Producer" -> stringResource(R.string.staff_role_line_producer)
    "Literary Arts Assistance" -> stringResource(R.string.staff_role_literary_arts_assistance)
    "Literary Arts" -> stringResource(R.string.staff_role_literary_arts)
    "Main Animator" -> stringResource(R.string.staff_role_main_animator)
    "Mechanical Animation Director" -> stringResource(R.string.staff_role_mechanical_animation_director)
    "Mechanical Design" -> stringResource(R.string.staff_role_mechanical_design)
    "Mechanical Supervisor" -> stringResource(R.string.staff_role_mechanical_supervisor)
    "Monitor Graphics" -> stringResource(R.string.staff_role_monitor_graphics)
    "Monster Design" -> stringResource(R.string.staff_role_monster_design)
    "Music Arrangement" -> stringResource(R.string.staff_role_music_arrangement)
    "Music Assistance" -> stringResource(R.string.staff_role_music_assistance)
    "Music Composition" -> stringResource(R.string.staff_role_music_composition)
    "Music Director" -> stringResource(R.string.staff_role_music_director)
    "Music Lyrics" -> stringResource(R.string.staff_role_music_lyrics)
    "Music Performance" -> stringResource(R.string.staff_role_music_performance)
    "Music Producer" -> stringResource(R.string.staff_role_music_producer)
    "Music Production Assistance" -> stringResource(R.string.staff_role_music_production_assistance)
    "Music Production" -> stringResource(R.string.staff_role_music_production)
    "Music Selection" -> stringResource(R.string.staff_role_music_selection)
    "Music Supervisor" -> stringResource(R.string.staff_role_music_supervisor)
    "Music" -> stringResource(R.string.staff_role_music)
    "Musical Instrument Supervisor" -> stringResource(R.string.staff_role_musical_instrument_supervisor)
    "Offline Editing Manager" -> stringResource(R.string.staff_role_offline_editing_manager)
    "Offline Editing" -> stringResource(R.string.staff_role_offline_editing)
    "Online Editing Manager" -> stringResource(R.string.staff_role_online_editing_manager)
    "Online Editing" -> stringResource(R.string.staff_role_online_editing)
    "Online HD Editing" -> stringResource(R.string.staff_role_online_hd_editing)
    "Optical Recording" -> stringResource(R.string.staff_role_optical_recording)
    "Original Character Design" -> stringResource(R.string.staff_role_original_character_design)
    "Original Creator" -> stringResource(R.string.staff_role_original_creator)
    "Original Illustration" -> stringResource(R.string.staff_role_original_illustration)
    "Original Plan" -> stringResource(R.string.staff_role_original_plan)
    "Original Story" -> stringResource(R.string.staff_role_original_story)
    "Overseas Advertising Producer" -> stringResource(R.string.staff_role_overseas_advertising_producer)
    "Paint" -> stringResource(R.string.staff_role_paint)
    "Photography Assistance" -> stringResource(R.string.staff_role_photography_assistance)
    "Photography Chief" -> stringResource(R.string.staff_role_photography_chief)
    "Photography Manager" -> stringResource(R.string.staff_role_photography_manager)
    "Photography" -> stringResource(R.string.staff_role_photography)
    "Planning Assistance" -> stringResource(R.string.staff_role_planning_assistance)
    "Planning Producer" -> stringResource(R.string.staff_role_planning_producer)
    "Planning" -> stringResource(R.string.staff_role_planning)
    "Producer" -> stringResource(R.string.staff_role_producer)
    "Production Assistance" -> stringResource(R.string.staff_role_production_assistance)
    "Production Assistant" -> stringResource(R.string.staff_role_production_assistant)
    "Production Committee" -> stringResource(R.string.staff_role_production_committee)
    "Production Design" -> stringResource(R.string.staff_role_production_design)
    "Production Desk" -> stringResource(R.string.staff_role_production_desk)
    "Production" -> stringResource(R.string.staff_role_production)
    "Prop Design" -> stringResource(R.string.staff_role_prop_design)
    "Recording Adjustment" -> stringResource(R.string.staff_role_recording_adjustment)
    "Recording Assistant" -> stringResource(R.string.staff_role_recording_assistant)
    "Recording Engineer" -> stringResource(R.string.staff_role_recording_engineer)
    "Recording" -> stringResource(R.string.staff_role_recording)
    "Script" -> stringResource(R.string.staff_role_script)
    "Script Assistance" -> stringResource(R.string.staff_role_script_assistance)
    "Series Composition" -> stringResource(R.string.staff_role_series_composition)
    "Series Composition Assistance" -> stringResource(R.string.staff_role_series_composition_assistance)
    "Setting Design" -> stringResource(R.string.staff_role_setting_design)
    "Sound Design" -> stringResource(R.string.staff_role_sound_design)
    "Sound Director" -> stringResource(R.string.staff_role_sound_director)
    "Sound Effects" -> stringResource(R.string.staff_role_sound_effects)
    "Sound Effects Assistance" -> stringResource(R.string.staff_role_sound_effects_assistance)
    "Sound Producer" -> stringResource(R.string.staff_role_sound_producer)
    "Sound Production Manager" -> stringResource(R.string.staff_role_sound_production_manager)
    "Sound Production" -> stringResource(R.string.staff_role_sound_production)
    "Sound Supervisor" -> stringResource(R.string.staff_role_sound_supervisor)
    "Special Design" -> stringResource(R.string.staff_role_special_design)
    "Special Effects Assistant" -> stringResource(R.string.staff_role_special_effects_assistant)
    "Special Effects" -> stringResource(R.string.staff_role_special_effects)
    "Story & Art" -> stringResource(R.string.staff_role_story_and_art)
    "Story & Illustration" -> stringResource(R.string.staff_role_story_and_illustration)
    "Story" -> stringResource(R.string.staff_role_story)
    "Storyboard" -> stringResource(R.string.staff_role_storyboard)
    "Sub Character Design" -> stringResource(R.string.staff_role_sub_character_design)
    "Supervisor" -> stringResource(R.string.staff_role_supervisor)
    "Supporting Staff" -> stringResource(R.string.staff_role_supporting_staff)
    "Technical Director" -> stringResource(R.string.staff_role_technical_director)
    "Theme Song Lyrics" -> stringResource(R.string.staff_role_theme_song_lyrics)
    "Theme Song Lyrics (OP)" -> stringResource(R.string.staff_role_theme_song_lyrics_op)
    "Theme Song Lyrics (ED)" -> stringResource(R.string.staff_role_theme_song_lyrics_ed)
    "Theme Song Lyrics (OP, ED)" -> stringResource(R.string.staff_role_theme_song_lyrics_op_ed)
    "Theme Song Composition" -> stringResource(R.string.staff_role_theme_song_composition)
    "Theme Song Composition (OP)" -> stringResource(R.string.staff_role_theme_song_composition_op)
    "Theme Song Composition (ED)" -> stringResource(R.string.staff_role_theme_song_composition_ed)
    "Theme Song Composition (OP, ED)" -> stringResource(R.string.staff_role_theme_song_composition_op_ed)
    "Theme Song Arrangement" -> stringResource(R.string.staff_role_theme_song_arrangement)
    "Theme Song Arrangement (OP)" -> stringResource(R.string.staff_role_theme_song_arrangement_op)
    "Theme Song Arrangement (ED)" -> stringResource(R.string.staff_role_theme_song_arrangement_ed)
    "Theme Song Arrangement (OP, ED)" -> stringResource(R.string.staff_role_theme_song_arrangement_op_ed)
    "Theme Song Performance" -> stringResource(R.string.staff_role_theme_song_performance)
    "Theme Song Performance (OP)" -> stringResource(R.string.staff_role_theme_song_performance_op)
    "Theme Song Performance (ED)" -> stringResource(R.string.staff_role_theme_song_performance_ed)
    "Theme Song Performance (OP, ED)" -> stringResource(R.string.staff_role_theme_song_performance_op_ed)
    "Title Logo Design Assistance" -> stringResource(R.string.staff_role_title_logo_design)
    "Title Logo Design" -> stringResource(R.string.staff_role_title_logo_design)
    "Touch-up Art & Lettering" -> stringResource(R.string.staff_role_touch_up_art_and_lettering)
    "Touch-up Art" -> stringResource(R.string.staff_role_touch_up_art)
    "Translator" -> stringResource(R.string.staff_role_translator)
    "Unit Director" -> stringResource(R.string.staff_role_unit_director)
    "Video Editing" -> stringResource(R.string.staff_role_video_editing)
    "Visual Coordinator" -> stringResource(R.string.staff_role_visual_coordinator)
    "Visual Director" -> stringResource(R.string.staff_role_visual_director)
    "Visual Effects" -> stringResource(R.string.staff_role_visual_effects)
    "World Design" -> stringResource(R.string.staff_role_world_design)
    "Weapon Design" -> stringResource(R.string.staff_role_weapon_design)

    else -> role
}